using Ryujinx.Common.Memory;

namespace Ryujinx.Graphics.Nvdec.FFmpeg.Native
{
    struct AVCodecContext
    {
#pragma warning disable CS0649 // Field is never assigned to
        public unsafe nint AvClass;
        public int LogLevelOffset;
        public int CodecType;
        public unsafe AVCodec* Codec;
        public AVCodecID CodecId;
        public uint CodecTag;
        public nint PrivData;
        public nint Internal;
        public nint Opaque;
        public long BitRate;
        public int BitRateTolerance;
        public int GlobalQuality;
        public int CompressionLevel;
        public int Flags;
        public int Flags2;
        public nint ExtraData;
        public int ExtraDataSize;
        public AVRational TimeBase;
        public int TicksPerFrame;
        public int Delay;
        public int Width;
        public int Height;
        public int CodedWidth;
        public int CodedHeight;
        public int GopSize;
        public int PixFmt;
        public nint DrawHorizBand;
        public nint GetFormat;
        public int MaxBFrames;
        public float BQuantFactor;
        public float BQuantOffset;
        public int HasBFrames;
        public float IQuantFactor;
        public float IQuantOffset;
        public float LumiMasking;
        public float TemporalCplxMasking;
        public float SpatialCplxMasking;
        public float PMasking;
        public float DarkMasking;
        public int SliceCount;
        public nint SliceOffset;
        public AVRational SampleAspectRatio;
        public int MeCmp;
        public int MeSubCmp;
        public int MbCmp;
        public int IldctCmp;
        public int DiaSize;
        public int LastPredictorCount;
        public int MePreCmp;
        public int PreDiaSize;
        public int MeSubpelQuality;
        public int MeRange;
        public int SliceFlags;
        public int MbDecision;
        public nint IntraMatrix;
        public nint InterMatrix;
        public int IntraDcPrecision;
        public int SkipTop;
        public int SkipBottom;
        public int MbLmin;
        public int MbLmax;
        public int BidirRefine;
        public int KeyintMin;
        public int Refs;
        public int Mv0Threshold;
        public int ColorPrimaries;
        public int ColorPrc;
        public int Colorspace;
        public int ColorRange;
        public int ChromaSampleLocation;
        public int Slices;
        public int FieldOrder;
        public int SampleRate;
        public int Channels;
        public int SampleFmt;
        public int FrameSize;
        public int FrameNumber;
        public int BlockAlign;
        public int CutOff;
        public ulong ChannelLayout;
        public ulong RequestChannelLayout;
        public int AudioServiceType;
        public int RequestSampleFmt;
        public nint GetBuffer2;
        public float QCompress;
        public float QBlur;
        public int QMin;
        public int QMax;
        public int MaxQdiff;
        public int RcBufferSize;
        public int RcOverrideCount;
        public nint RcOverride;
        public long RcMaxRate;
        public long RcMinRate;
        public float RcMax_available_vbv_use;
        public float RcMin_vbv_overflow_use;
        public int RcInitialBufferOccupancy;
        public int Trellis;
        public nint StatsOut;
        public nint StatsIn;
        public int WorkaroundBugs;
        public int StrictStdCompliance;
        public int ErrorConcealment;
        public int Debug;
        public int ErrRecognition;
        public long ReorderedOpaque;
        public nint HwAccel;
        public nint HwAccelContext;
        public Array8<ulong> Error;
        public int DctAlgo;
        public int IdctAlgo;
        public int BitsPerCodedSample;
        public int BitsPerRawSample;
        public int LowRes;
        public int ThreadCount;
        public int ThreadType;
        public int ActiveThreadType;
        public int ThreadSafeCallbacks;
        public nint Execute;
        public nint Execute2;
        public int NsseWeight;
        public int Profile;
        public int Level;
        public int SkipLoopFilter;
        public int SkipIdct;
        public int SkipFrame;
        public nint SubtitleHeader;
        public int SubtitleHeaderSize;
        public int InitialPadding;
        public AVRational Framerate;
        public int SwPixFmt;
        public AVRational PktTimebase;
        public nint CodecDescriptor;
        public long PtsCorrectionNumFaultyPts;
        public long PtsCorrectionNumFaultyDts;
        public long PtsCorrectionLastPts;
        public long PtsCorrectionLastDts;
        public nint SubCharenc;
        public int SubCharencMode;
        public int SkipAlpha;
        public int SeekPreroll;
        public int DebugMv;
        public nint ChromaIntraMatrix;
        public nint DumpSeparator;
        public nint CodecWhitelist;
        public uint Properties;
        public nint CodedSideData;
        public int NbCodedSideData;
        public nint HwFramesCtx;
        public int SubTextFormat;
        public int TrailingPadding;
        public long MaxPixels;
        public nint HwDeviceCtx;
        public int HwAccelFlags;
        public int applyCropping;
        public int ExtraHwFrames;
        public int DiscardDamagedPercentage;
        public long MaxSamples;
        public int ExportSideData;
        public nint GetEncodeBuffer;
#pragma warning restore CS0649
    }
}
