using System.Collections.Generic;

namespace Ryujinx.HLE.HOS.Services.Settings
{
    static class NxSettings
    {
        // Generated automatically from a Switch 3.0 config file (Tid: 0100000000000818).
        public static Dictionary<string, object> Settings = new()
        {
            { "account!na_required_for_network_service", true },
            { "account.daemon!background_awaking_periodicity", 10800 },
            { "account.daemon!schedule_periodicity", 3600 },
            { "account.daemon!profile_sync_interval", 18000 },
            { "account.daemon!na_info_refresh_interval", 46800 },
            { "am.display!transition_layer_enabled", true },
            { "am.gpu!gpu_scheduling_enabled", true },
            { "am.gpu!gpu_scheduling_frame_time_us", 116666 },
            { "am.gpu!gpu_scheduling_fg_app_us", 116166 },
            { "am.gpu!gpu_scheduling_bg_app_us", 104500 },
            { "am.gpu!gpu_scheduling_oa_us", 500 },
            { "am.gpu!gpu_scheduling_fg_sa_us", 11666 },
            { "am.gpu!gpu_scheduling_bg_sa_us", 0 },
            { "am.gpu!gpu_scheduling_fg_la_us", 11666 },
            { "am.gpu!gpu_scheduling_partial_fg_la_us", 2000 },
            { "am.gpu!gpu_scheduling_bg_la_us", 0 },
            { "audio!audren_log_enabled", false },
            { "audio!audout_log_enabled", false },
            { "audio!audin_log_enabled", false },
            { "audio!hwopus_log_enabled", false },
            { "audio!adsp_log_enabled", false },
            { "audio!suspend_for_debugger_enabled", false },
            { "audio!uac_speaker_enabled", false },
            { "bgtc!enable_halfawake", 1 },
            { "bgtc!enable_battery_saver", 1 },
            { "bgtc!leaving_halfawake_margin", 3 },
            { "bgtc!battery_threshold_save", 20 },
            { "bgtc!battery_threshold_stop", 20 },
            { "bgtc!minimum_interval_normal", 1800 },
            { "bgtc!minimum_interval_save", 86400 },
            { "boot!force_maintenance", false },
            { "capsrv!screenshot_layerstack", "screenshot" },
            { "capsrv!enable_album_screenshot_filedata_verification", true },
            { "devmenu!enable_application_update", true },
            { "devmenu!enable_exhibition_mode", false },
            { "eclct!analytics_override", false },
            { "eclct!analytics_pollperiod", 86400 },
            { "err!applet_auto_close", false },
            { "friends!background_processing", true },
            { "htc!disconnection_emulation", false },
            { "idle!dim_level_percent_lcd", 10 },
            { "idle!dim_level_percent_tv", 70 },
            { "lbl!force_disable_als", false },
            { "lm!enable_sd_card_logging", false },
            { "lm!sd_card_log_output_directory", "NxBinLogs" },
            { "mii!is_db_test_mode_enabled", false },
            { "news!system_version", 2 },
            { "nfp!not_locked_tag", true },
            { "nfp!play_report", false },
            { "nifm!is_communication_control_enabled_for_test", false },
            { "nifm!connection_test_timeout", 45000 },
            { "nifm!apply_config_timeout", 30000 },
            { "nifm!ethernet_adapter_standby_time", 10000 },
            { "nim.install!prefer_delta_evenif_inefficient", false },
            { "nim.install!apply_delta_stress_storage", 0 },
            { "ns.notification!retry_interval", 60 },
            { "ns.notification!enable_network_update", true },
            { "ns.notification!enable_download_task_list", true },
            { "ns.notification!enable_version_list", true },
            { "ns.notification!enable_random_wait", true },
            { "ns.notification!debug_waiting_limit", 0 },
            { "ns.notification!enable_request_on_cold_boot", true },
            { "ns.sdcard!mount_sdcard", true },
            { "ns.sdcard!compare_sdcard", 0 },
            { "ns.gamecard!mount_gamecard_result_value", 0 },
            { "ns.gamecard!try_gamecard_access_result_value", 0 },
            { "nv!00008600", string.Empty },
            { "nv!0007b25e", string.Empty },
            { "nv!0083e1", string.Empty },
            { "nv!01621887", string.Empty },
            { "nv!03134743", string.Empty },
            { "nv!0356afd0", string.Empty },
            { "nv!0356afd1", string.Empty },
            { "nv!0356afd2", string.Empty },
            { "nv!0356afd3", string.Empty },
            { "nv!094313", string.Empty },
            { "nv!0x04dc09", string.Empty },
            { "nv!0x111133", string.Empty },
            { "nv!0x1aa483", string.Empty },
            { "nv!0x1cb1cf", string.Empty },
            { "nv!0x1cb1d0", string.Empty },
            { "nv!0x1e3221", string.Empty },
            { "nv!0x300fc8", string.Empty },
            { "nv!0x301fc8", string.Empty },
            { "nv!0x302fc8", string.Empty },
            { "nv!0x3eec59", string.Empty },
            { "nv!0x46b3ed", string.Empty },
            { "nv!0x523dc0", string.Empty },
            { "nv!0x523dc1", string.Empty },
            { "nv!0x523dc2", string.Empty },
            { "nv!0x523dc3", string.Empty },
            { "nv!0x523dc4", string.Empty },
            { "nv!0x523dc5", string.Empty },
            { "nv!0x523dc6", string.Empty },
            { "nv!0x523dd0", string.Empty },
            { "nv!0x523dd1", string.Empty },
            { "nv!0x523dd3", string.Empty },
            { "nv!0x5344bb", string.Empty },
            { "nv!0x555237", string.Empty },
            { "nv!0x58a234", string.Empty },
            { "nv!0x7b4428", string.Empty },
            { "nv!0x923dc0", string.Empty },
            { "nv!0x923dc1", string.Empty },
            { "nv!0x923dc2", string.Empty },
            { "nv!0x923dc3", string.Empty },
            { "nv!0x923dc4", string.Empty },
            { "nv!0x923dd3", string.Empty },
            { "nv!0x9abdc5", string.Empty },
            { "nv!0x9abdc6", string.Empty },
            { "nv!0xaaa36c", string.Empty },
            { "nv!0xb09da0", string.Empty },
            { "nv!0xb09da1", string.Empty },
            { "nv!0xb09da2", string.Empty },
            { "nv!0xb09da3", string.Empty },
            { "nv!0xb09da4", string.Empty },
            { "nv!0xb09da5", string.Empty },
            { "nv!0xb0b348", string.Empty },
            { "nv!0xb0b349", string.Empty },
            { "nv!0xbb558f", string.Empty },
            { "nv!0xbd10fb", string.Empty },
            { "nv!0xc32ad3", string.Empty },
            { "nv!0xce2348", string.Empty },
            { "nv!0xcfd81f", string.Empty },
            { "nv!0xe0036b", string.Empty },
            { "nv!0xe01f2d", string.Empty },
            { "nv!0xe17212", string.Empty },
            { "nv!0xeae966", string.Empty },
            { "nv!0xed4f82", string.Empty },
            { "nv!0xf12335", string.Empty },
            { "nv!0xf12336", string.Empty },
            { "nv!10261989", string.Empty },
            { "nv!1042d483", string.Empty },
            { "nv!10572898", string.Empty },
            { "nv!115631", string.Empty },
            { "nv!12950094", string.Empty },
            { "nv!1314f311", string.Empty },
            { "nv!1314f312", string.Empty },
            { "nv!13279512", string.Empty },
            { "nv!13813496", string.Empty },
            { "nv!14507179", string.Empty },
            { "nv!15694569", string.Empty },
            { "nv!16936964", string.Empty },
            { "nv!17aa230c", string.Empty },
            { "nv!182054", string.Empty },
            { "nv!18273275", string.Empty },
            { "nv!18273276", string.Empty },
            { "nv!1854d03b", string.Empty },
            { "nv!18add00d", string.Empty },
            { "nv!19156670", string.Empty },
            { "nv!19286545", string.Empty },
            { "nv!1a298e9f", string.Empty },
            { "nv!1acf43fe", string.Empty },
            { "nv!1bda43fe", string.Empty },
            { "nv!1c3b92", string.Empty },
            { "nv!21509920", string.Empty },
            { "nv!215323457", string.Empty },
            { "nv!2165ad", string.Empty },
            { "nv!2165ae", string.Empty },
            { "nv!21be9c", string.Empty },
            { "nv!233264316", string.Empty },
            { "nv!234557580", string.Empty },
            { "nv!23cd0e", string.Empty },
            { "nv!24189123", string.Empty },
            { "nv!2443266", string.Empty },
            { "nv!25025519", string.Empty },
            { "nv!255e39", string.Empty },
            { "nv!2583364", string.Empty },
            { "nv!2888c1", string.Empty },
            { "nv!28ca3e", string.Empty },
            { "nv!29871243", string.Empty },
            { "nv!2a1f64", string.Empty },
            { "nv!2dc432", string.Empty },
            { "nv!2de437", string.Empty },
            { "nv!2f3bb89c", string.Empty },
            { "nv!2fd652", string.Empty },
            { "nv!3001ac", string.Empty },
            { "nv!31298772", string.Empty },
            { "nv!313233", string.Empty },
            { "nv!31f7d603", string.Empty },
            { "nv!320ce4", string.Empty },
            { "nv!32153248", string.Empty },
            { "nv!32153249", string.Empty },
            { "nv!335bca", string.Empty },
            { "nv!342abb", string.Empty },
            { "nv!34dfe6", string.Empty },
            { "nv!34dfe7", string.Empty },
            { "nv!34dfe8", string.Empty },
            { "nv!34dfe9", string.Empty },
            { "nv!35201578", string.Empty },
            { "nv!359278", string.Empty },
            { "nv!37f53a", string.Empty },
            { "nv!38144972", string.Empty },
            { "nv!38542646", string.Empty },
            { "nv!3b74c9", string.Empty },
            { "nv!3c136f", string.Empty },
            { "nv!3cf72823", string.Empty },
            { "nv!3d7af029", string.Empty },
            { "nv!3ff34782", string.Empty },
            { "nv!4129618", string.Empty },
            { "nv!4189fac3", string.Empty },
            { "nv!420bd4", string.Empty },
            { "nv!42a699", string.Empty },
            { "nv!441369", string.Empty },
            { "nv!4458713e", string.Empty },
            { "nv!4554b6", string.Empty },
            { "nv!457425", string.Empty },
            { "nv!4603b207", string.Empty },
            { "nv!46574957", string.Empty },
            { "nv!46574958", string.Empty },
            { "nv!46813529", string.Empty },
            { "nv!46f1e13d", string.Empty },
            { "nv!47534c43", string.Empty },
            { "nv!48550336", string.Empty },
            { "nv!48576893", string.Empty },
            { "nv!48576894", string.Empty },
            { "nv!4889ac02", string.Empty },
            { "nv!49005740", string.Empty },
            { "nv!49867584", string.Empty },
            { "nv!49960973", string.Empty },
            { "nv!4a5341", string.Empty },
            { "nv!4f4e48", string.Empty },
            { "nv!4f8a0a", string.Empty },
            { "nv!50299698", string.Empty },
            { "nv!50299699", string.Empty },
            { "nv!50361291", string.Empty },
            { "nv!5242ae", string.Empty },
            { "nv!53d30c", string.Empty },
            { "nv!56347a", string.Empty },
            { "nv!563a95f1", string.Empty },
            { "nv!573823", string.Empty },
            { "nv!58027529", string.Empty },
            { "nv!5d2d63", string.Empty },
            { "nv!5f7e3b", string.Empty },
            { "nv!60461793", string.Empty },
            { "nv!60d355", string.Empty },
            { "nv!616627aa", string.Empty },
            { "nv!62317182", string.Empty },
            { "nv!6253fa2e", string.Empty },
            { "nv!64100768", string.Empty },
            { "nv!64100769", string.Empty },
            { "nv!64100770", string.Empty },
            { "nv!647395", string.Empty },
            { "nv!66543234", string.Empty },
            { "nv!67674763", string.Empty },
            { "nv!67739784", string.Empty },
            { "nv!68fb9c", string.Empty },
            { "nv!69801276", string.Empty },
            { "nv!6af9fa2f", string.Empty },
            { "nv!6af9fa3f", string.Empty },
            { "nv!6af9fa4f", string.Empty },
            { "nv!6bd8c7", string.Empty },
            { "nv!6c7691", string.Empty },
            { "nv!6d4296ce", string.Empty },
            { "nv!6dd7e7", string.Empty },
            { "nv!6dd7e8", string.Empty },
            { "nv!6fe11ec1", string.Empty },
            { "nv!716511763", string.Empty },
            { "nv!72504593", string.Empty },
            { "nv!73304097", string.Empty },
            { "nv!73314098", string.Empty },
            { "nv!74095213", string.Empty },
            { "nv!74095213a", string.Empty },
            { "nv!74095213b", string.Empty },
            { "nv!74095214", string.Empty },
            { "nv!748f9649", string.Empty },
            { "nv!75494732", string.Empty },
            { "nv!78452832", string.Empty },
            { "nv!784561", string.Empty },
            { "nv!78e16b9c", string.Empty },
            { "nv!79251225", string.Empty },
            { "nv!7c128b", string.Empty },
            { "nv!7ccd93", string.Empty },
            { "nv!7df8d1", string.Empty },
            { "nv!800c2310", string.Empty },
            { "nv!80546710", string.Empty },
            { "nv!80772310", string.Empty },
            { "nv!808ee280", string.Empty },
            { "nv!81131154", string.Empty },
            { "nv!81274457", string.Empty },
            { "nv!8292291f", string.Empty },
            { "nv!83498426", string.Empty },
            { "nv!84993794", string.Empty },
            { "nv!84995585", string.Empty },
            { "nv!84a0a0", string.Empty },
            { "nv!852142", string.Empty },
            { "nv!85612309", string.Empty },
            { "nv!85612310", string.Empty },
            { "nv!85612311", string.Empty },
            { "nv!85612312", string.Empty },
            { "nv!8623ff27", string.Empty },
            { "nv!87364952", string.Empty },
            { "nv!87f6275666", string.Empty },
            { "nv!886748", string.Empty },
            { "nv!89894423", string.Empty },
            { "nv!8ad8a75", string.Empty },
            { "nv!8ad8ad00", string.Empty },
            { "nv!8bb815", string.Empty },
            { "nv!8bb817", string.Empty },
            { "nv!8bb818", string.Empty },
            { "nv!8bb819", string.Empty },
            { "nv!8e640cd1", string.Empty },
            { "nv!8f34971a", string.Empty },
            { "nv!8f773984", string.Empty },
            { "nv!8f7a7d", string.Empty },
            { "nv!902486209", string.Empty },
            { "nv!90482571", string.Empty },
            { "nv!91214835", string.Empty },
            { "nv!912848290", string.Empty },
            { "nv!915e56", string.Empty },
            { "nv!92179063", string.Empty },
            { "nv!92179064", string.Empty },
            { "nv!92179065", string.Empty },
            { "nv!92179066", string.Empty },
            { "nv!92350358", string.Empty },
            { "nv!92809063", string.Empty },
            { "nv!92809064", string.Empty },
            { "nv!92809065", string.Empty },
            { "nv!92809066", string.Empty },
            { "nv!92920143", string.Empty },
            { "nv!93a89b12", string.Empty },
            { "nv!93a89c0b", string.Empty },
            { "nv!94812574", string.Empty },
            { "nv!95282304", string.Empty },
            { "nv!95394027", string.Empty },
            { "nv!959b1f", string.Empty },
            { "nv!9638af", string.Empty },
            { "nv!96fd59", string.Empty },
            { "nv!97f6275666", string.Empty },
            { "nv!97f6275667", string.Empty },
            { "nv!97f6275668", string.Empty },
            { "nv!97f6275669", string.Empty },
            { "nv!97f627566a", string.Empty },
            { "nv!97f627566b", string.Empty },
            { "nv!97f627566d", string.Empty },
            { "nv!97f627566e", string.Empty },
            { "nv!97f627566f", string.Empty },
            { "nv!97f6275670", string.Empty },
            { "nv!97f6275671", string.Empty },
            { "nv!97f727566e", string.Empty },
            { "nv!98480775", string.Empty },
            { "nv!98480776", string.Empty },
            { "nv!98480777", string.Empty },
            { "nv!992431", string.Empty },
            { "nv!9aa29065", string.Empty },
            { "nv!9af32c", string.Empty },
            { "nv!9af32d", string.Empty },
            { "nv!9af32e", string.Empty },
            { "nv!9c108b71", string.Empty },
            { "nv!9f279065", string.Empty },
            { "nv!a01bc728", string.Empty },
            { "nv!a13b46c80", string.Empty },
            { "nv!a22eb0", string.Empty },
            { "nv!a2fb451e", string.Empty },
            { "nv!a3456abe", string.Empty },
            { "nv!a7044887", string.Empty },
            { "nv!a7149200", string.Empty },
            { "nv!a766215670", string.Empty },
            { "nv!aac_drc_boost", string.Empty },
            { "nv!aac_drc_cut", string.Empty },
            { "nv!aac_drc_enc_target_level", string.Empty },
            { "nv!aac_drc_heavy", string.Empty },
            { "nv!aac_drc_reference_level", string.Empty },
            { "nv!aalinegamma", string.Empty },
            { "nv!aalinetweaks", string.Empty },
            { "nv!ab34ee01", string.Empty },
            { "nv!ab34ee02", string.Empty },
            { "nv!ab34ee03", string.Empty },
            { "nv!ac0274", string.Empty },
            { "nv!af73c63e", string.Empty },
            { "nv!af73c63f", string.Empty },
            { "nv!af9927", string.Empty },
            { "nv!afoverride", string.Empty },
            { "nv!allocdeviceevents", string.Empty },
            { "nv!applicationkey", string.Empty },
            { "nv!appreturnonlybasicglsltype", string.Empty },
            { "nv!app_softimage", string.Empty },
            { "nv!app_supportbits2", string.Empty },
            { "nv!assumetextureismipmappedatcreation", string.Empty },
            { "nv!b1fb0f01", string.Empty },
            { "nv!b3edd5", string.Empty },
            { "nv!b40d9e03d", string.Empty },
            { "nv!b7f6275666", string.Empty },
            { "nv!b812c1", string.Empty },
            { "nv!ba14ba1a", string.Empty },
            { "nv!ba14ba1b", string.Empty },
            { "nv!bd7559", string.Empty },
            { "nv!bd755a", string.Empty },
            { "nv!bd755c", string.Empty },
            { "nv!bd755d", string.Empty },
            { "nv!be58bb", string.Empty },
            { "nv!be92cb", string.Empty },
            { "nv!beefcba3", string.Empty },
            { "nv!beefcba4", string.Empty },
            { "nv!c023777f", string.Empty },
            { "nv!c09dc8", string.Empty },
            { "nv!c0d340", string.Empty },
            { "nv!c2ff374c", string.Empty },
            { "nv!c5e9d7a3", string.Empty },
            { "nv!c5e9d7a4", string.Empty },
            { "nv!c5e9d7b4", string.Empty },
            { "nv!c618f9", string.Empty },
            { "nv!ca345840", string.Empty },
            { "nv!cachedisable", string.Empty },
            { "nv!cast.on", string.Empty },
            { "nv!cde", string.Empty },
            { "nv!channelpriorityoverride", string.Empty },
            { "nv!cleardatastorevidmem", string.Empty },
            { "nv!cmdbufmemoryspaceenables", string.Empty },
            { "nv!cmdbufminwords", string.Empty },
            { "nv!cmdbufsizewords", string.Empty },
            { "nv!conformantblitframebufferscissor", string.Empty },
            { "nv!conformantincompletetextures", string.Empty },
            { "nv!copybuffermethod", string.Empty },
            { "nv!cubemapaniso", string.Empty },
            { "nv!cubemapfiltering", string.Empty },
            { "nv!d0e9a4d7", string.Empty },
            { "nv!d13733f12", string.Empty },
            { "nv!d1b399", string.Empty },
            { "nv!d2983c32", string.Empty },
            { "nv!d2983c33", string.Empty },
            { "nv!d2e71b", string.Empty },
            { "nv!d377dc", string.Empty },
            { "nv!d377dd", string.Empty },
            { "nv!d489f4", string.Empty },
            { "nv!d4bce1", string.Empty },
            { "nv!d518cb", string.Empty },
            { "nv!d518cd", string.Empty },
            { "nv!d518ce", string.Empty },
            { "nv!d518d0", string.Empty },
            { "nv!d518d1", string.Empty },
            { "nv!d518d2", string.Empty },
            { "nv!d518d3", string.Empty },
            { "nv!d518d4", string.Empty },
            { "nv!d518d5", string.Empty },
            { "nv!d59eda", string.Empty },
            { "nv!d83cbd", string.Empty },
            { "nv!d8e777", string.Empty },
            { "nv!debug_level", string.Empty },
            { "nv!debug_mask", string.Empty },
            { "nv!debug_options", string.Empty },
            { "nv!devshmpageableallocations", string.Empty },
            { "nv!df1f9812", string.Empty },
            { "nv!df783c", string.Empty },
            { "nv!diagenable", string.Empty },
            { "nv!disallowcemask", string.Empty },
            { "nv!disallowz16", string.Empty },
            { "nv!dlmemoryspaceenables", string.Empty },
            { "nv!e0bfec", string.Empty },
            { "nv!e433456d", string.Empty },
            { "nv!e435563f", string.Empty },
            { "nv!e4cd9c", string.Empty },
            { "nv!e5c972", string.Empty },
            { "nv!e639ef", string.Empty },
            { "nv!e802af", string.Empty },
            { "nv!eae964", string.Empty },
            { "nv!earlytexturehwallocation", string.Empty },
            { "nv!eb92a3", string.Empty },
            { "nv!ebca56", string.Empty },
            { "nv!enable-noaud", string.Empty },
            { "nv!enable-noavs", string.Empty },
            { "nv!enable-prof", string.Empty },
            { "nv!enable-sxesmode", string.Empty },
            { "nv!enable-ulld", string.Empty },
            { "nv!expert_detail_level", string.Empty },
            { "nv!expert_output_mask", string.Empty },
            { "nv!expert_report_mask", string.Empty },
            { "nv!extensionstringnvarch", string.Empty },
            { "nv!extensionstringversion", string.Empty },
            { "nv!f00f1938", string.Empty },
            { "nv!f10736", string.Empty },
            { "nv!f1846870", string.Empty },
            { "nv!f33bc370", string.Empty },
            { "nv!f392a874", string.Empty },
            { "nv!f49ae8", string.Empty },
            { "nv!fa345cce", string.Empty },
            { "nv!fa35cc4", string.Empty },
            { "nv!faa14a", string.Empty },
            { "nv!faf8a723", string.Empty },
            { "nv!fastgs", string.Empty },
            { "nv!fbf4ac45", string.Empty },
            { "nv!fbo_blit_ignore_srgb", string.Empty },
            { "nv!fc64c7", string.Empty },
            { "nv!ff54ec97", string.Empty },
            { "nv!ff54ec98", string.Empty },
            { "nv!forceexitprocessdetach", string.Empty },
            { "nv!forcerequestedesversion", string.Empty },
            { "nv!__gl_", string.Empty },
            { "nv!__gl_00008600", string.Empty },
            { "nv!__gl_0007b25e", string.Empty },
            { "nv!__gl_0083e1", string.Empty },
            { "nv!__gl_01621887", string.Empty },
            { "nv!__gl_03134743", string.Empty },
            { "nv!__gl_0356afd0", string.Empty },
            { "nv!__gl_0356afd1", string.Empty },
            { "nv!__gl_0356afd2", string.Empty },
            { "nv!__gl_0356afd3", string.Empty },
            { "nv!__gl_094313", string.Empty },
            { "nv!__gl_0x04dc09", string.Empty },
            { "nv!__gl_0x111133", string.Empty },
            { "nv!__gl_0x1aa483", string.Empty },
            { "nv!__gl_0x1cb1cf", string.Empty },
            { "nv!__gl_0x1cb1d0", string.Empty },
            { "nv!__gl_0x1e3221", string.Empty },
            { "nv!__gl_0x300fc8", string.Empty },
            { "nv!__gl_0x301fc8", string.Empty },
            { "nv!__gl_0x302fc8", string.Empty },
            { "nv!__gl_0x3eec59", string.Empty },
            { "nv!__gl_0x46b3ed", string.Empty },
            { "nv!__gl_0x523dc0", string.Empty },
            { "nv!__gl_0x523dc1", string.Empty },
            { "nv!__gl_0x523dc2", string.Empty },
            { "nv!__gl_0x523dc3", string.Empty },
            { "nv!__gl_0x523dc4", string.Empty },
            { "nv!__gl_0x523dc5", string.Empty },
            { "nv!__gl_0x523dc6", string.Empty },
            { "nv!__gl_0x523dd0", string.Empty },
            { "nv!__gl_0x523dd1", string.Empty },
            { "nv!__gl_0x523dd3", string.Empty },
            { "nv!__gl_0x5344bb", string.Empty },
            { "nv!__gl_0x555237", string.Empty },
            { "nv!__gl_0x58a234", string.Empty },
            { "nv!__gl_0x7b4428", string.Empty },
            { "nv!__gl_0x923dc0", string.Empty },
            { "nv!__gl_0x923dc1", string.Empty },
            { "nv!__gl_0x923dc2", string.Empty },
            { "nv!__gl_0x923dc3", string.Empty },
            { "nv!__gl_0x923dc4", string.Empty },
            { "nv!__gl_0x923dd3", string.Empty },
            { "nv!__gl_0x9abdc5", string.Empty },
            { "nv!__gl_0x9abdc6", string.Empty },
            { "nv!__gl_0xaaa36c", string.Empty },
            { "nv!__gl_0xb09da0", string.Empty },
            { "nv!__gl_0xb09da1", string.Empty },
            { "nv!__gl_0xb09da2", string.Empty },
            { "nv!__gl_0xb09da3", string.Empty },
            { "nv!__gl_0xb09da4", string.Empty },
            { "nv!__gl_0xb09da5", string.Empty },
            { "nv!__gl_0xb0b348", string.Empty },
            { "nv!__gl_0xb0b349", string.Empty },
            { "nv!__gl_0xbb558f", string.Empty },
            { "nv!__gl_0xbd10fb", string.Empty },
            { "nv!__gl_0xc32ad3", string.Empty },
            { "nv!__gl_0xce2348", string.Empty },
            { "nv!__gl_0xcfd81f", string.Empty },
            { "nv!__gl_0xe0036b", string.Empty },
            { "nv!__gl_0xe01f2d", string.Empty },
            { "nv!__gl_0xe17212", string.Empty },
            { "nv!__gl_0xeae966", string.Empty },
            { "nv!__gl_0xed4f82", string.Empty },
            { "nv!__gl_0xf12335", string.Empty },
            { "nv!__gl_0xf12336", string.Empty },
            { "nv!__gl_10261989", string.Empty },
            { "nv!__gl_1042d483", string.Empty },
            { "nv!__gl_10572898", string.Empty },
            { "nv!__gl_115631", string.Empty },
            { "nv!__gl_12950094", string.Empty },
            { "nv!__gl_1314f311", string.Empty },
            { "nv!__gl_1314f312", string.Empty },
            { "nv!__gl_13279512", string.Empty },
            { "nv!__gl_13813496", string.Empty },
            { "nv!__gl_14507179", string.Empty },
            { "nv!__gl_15694569", string.Empty },
            { "nv!__gl_16936964", string.Empty },
            { "nv!__gl_17aa230c", string.Empty },
            { "nv!__gl_182054", string.Empty },
            { "nv!__gl_18273275", string.Empty },
            { "nv!__gl_18273276", string.Empty },
            { "nv!__gl_1854d03b", string.Empty },
            { "nv!__gl_18add00d", string.Empty },
            { "nv!__gl_19156670", string.Empty },
            { "nv!__gl_19286545", string.Empty },
            { "nv!__gl_1a298e9f", string.Empty },
            { "nv!__gl_1acf43fe", string.Empty },
            { "nv!__gl_1bda43fe", string.Empty },
            { "nv!__gl_1c3b92", string.Empty },
            { "nv!__gl_21509920", string.Empty },
            { "nv!__gl_215323457", string.Empty },
            { "nv!__gl_2165ad", string.Empty },
            { "nv!__gl_2165ae", string.Empty },
            { "nv!__gl_21be9c", string.Empty },
            { "nv!__gl_233264316", string.Empty },
            { "nv!__gl_234557580", string.Empty },
            { "nv!__gl_23cd0e", string.Empty },
            { "nv!__gl_24189123", string.Empty },
            { "nv!__gl_2443266", string.Empty },
            { "nv!__gl_25025519", string.Empty },
            { "nv!__gl_255e39", string.Empty },
            { "nv!__gl_2583364", string.Empty },
            { "nv!__gl_2888c1", string.Empty },
            { "nv!__gl_28ca3e", string.Empty },
            { "nv!__gl_29871243", string.Empty },
            { "nv!__gl_2a1f64", string.Empty },
            { "nv!__gl_2dc432", string.Empty },
            { "nv!__gl_2de437", string.Empty },
            { "nv!__gl_2f3bb89c", string.Empty },
            { "nv!__gl_2fd652", string.Empty },
            { "nv!__gl_3001ac", string.Empty },
            { "nv!__gl_31298772", string.Empty },
            { "nv!__gl_313233", string.Empty },
            { "nv!__gl_31f7d603", string.Empty },
            { "nv!__gl_320ce4", string.Empty },
            { "nv!__gl_32153248", string.Empty },
            { "nv!__gl_32153249", string.Empty },
            { "nv!__gl_335bca", string.Empty },
            { "nv!__gl_342abb", string.Empty },
            { "nv!__gl_34dfe6", string.Empty },
            { "nv!__gl_34dfe7", string.Empty },
            { "nv!__gl_34dfe8", string.Empty },
            { "nv!__gl_34dfe9", string.Empty },
            { "nv!__gl_35201578", string.Empty },
            { "nv!__gl_359278", string.Empty },
            { "nv!__gl_37f53a", string.Empty },
            { "nv!__gl_38144972", string.Empty },
            { "nv!__gl_38542646", string.Empty },
            { "nv!__gl_3b74c9", string.Empty },
            { "nv!__gl_3c136f", string.Empty },
            { "nv!__gl_3cf72823", string.Empty },
            { "nv!__gl_3d7af029", string.Empty },
            { "nv!__gl_3ff34782", string.Empty },
            { "nv!__gl_4129618", string.Empty },
            { "nv!__gl_4189fac3", string.Empty },
            { "nv!__gl_420bd4", string.Empty },
            { "nv!__gl_42a699", string.Empty },
            { "nv!__gl_441369", string.Empty },
            { "nv!__gl_4458713e", string.Empty },
            { "nv!__gl_4554b6", string.Empty },
            { "nv!__gl_457425", string.Empty },
            { "nv!__gl_4603b207", string.Empty },
            { "nv!__gl_46574957", string.Empty },
            { "nv!__gl_46574958", string.Empty },
            { "nv!__gl_46813529", string.Empty },
            { "nv!__gl_46f1e13d", string.Empty },
            { "nv!__gl_47534c43", string.Empty },
            { "nv!__gl_48550336", string.Empty },
            { "nv!__gl_48576893", string.Empty },
            { "nv!__gl_48576894", string.Empty },
            { "nv!__gl_4889ac02", string.Empty },
            { "nv!__gl_49005740", string.Empty },
            { "nv!__gl_49867584", string.Empty },
            { "nv!__gl_49960973", string.Empty },
            { "nv!__gl_4a5341", string.Empty },
            { "nv!__gl_4f4e48", string.Empty },
            { "nv!__gl_4f8a0a", string.Empty },
            { "nv!__gl_50299698", string.Empty },
            { "nv!__gl_50299699", string.Empty },
            { "nv!__gl_50361291", string.Empty },
            { "nv!__gl_5242ae", string.Empty },
            { "nv!__gl_53d30c", string.Empty },
            { "nv!__gl_56347a", string.Empty },
            { "nv!__gl_563a95f1", string.Empty },
            { "nv!__gl_573823", string.Empty },
            { "nv!__gl_58027529", string.Empty },
            { "nv!__gl_5d2d63", string.Empty },
            { "nv!__gl_5f7e3b", string.Empty },
            { "nv!__gl_60461793", string.Empty },
            { "nv!__gl_60d355", string.Empty },
            { "nv!__gl_616627aa", string.Empty },
            { "nv!__gl_62317182", string.Empty },
            { "nv!__gl_6253fa2e", string.Empty },
            { "nv!__gl_64100768", string.Empty },
            { "nv!__gl_64100769", string.Empty },
            { "nv!__gl_64100770", string.Empty },
            { "nv!__gl_647395", string.Empty },
            { "nv!__gl_66543234", string.Empty },
            { "nv!__gl_67674763", string.Empty },
            { "nv!__gl_67739784", string.Empty },
            { "nv!__gl_68fb9c", string.Empty },
            { "nv!__gl_69801276", string.Empty },
            { "nv!__gl_6af9fa2f", string.Empty },
            { "nv!__gl_6af9fa3f", string.Empty },
            { "nv!__gl_6af9fa4f", string.Empty },
            { "nv!__gl_6bd8c7", string.Empty },
            { "nv!__gl_6c7691", string.Empty },
            { "nv!__gl_6d4296ce", string.Empty },
            { "nv!__gl_6dd7e7", string.Empty },
            { "nv!__gl_6dd7e8", string.Empty },
            { "nv!__gl_6fe11ec1", string.Empty },
            { "nv!__gl_716511763", string.Empty },
            { "nv!__gl_72504593", string.Empty },
            { "nv!__gl_73304097", string.Empty },
            { "nv!__gl_73314098", string.Empty },
            { "nv!__gl_74095213", string.Empty },
            { "nv!__gl_74095213a", string.Empty },
            { "nv!__gl_74095213b", string.Empty },
            { "nv!__gl_74095214", string.Empty },
            { "nv!__gl_748f9649", string.Empty },
            { "nv!__gl_75494732", string.Empty },
            { "nv!__gl_78452832", string.Empty },
            { "nv!__gl_784561", string.Empty },
            { "nv!__gl_78e16b9c", string.Empty },
            { "nv!__gl_79251225", string.Empty },
            { "nv!__gl_7c128b", string.Empty },
            { "nv!__gl_7ccd93", string.Empty },
            { "nv!__gl_7df8d1", string.Empty },
            { "nv!__gl_800c2310", string.Empty },
            { "nv!__gl_80546710", string.Empty },
            { "nv!__gl_80772310", string.Empty },
            { "nv!__gl_808ee280", string.Empty },
            { "nv!__gl_81131154", string.Empty },
            { "nv!__gl_81274457", string.Empty },
            { "nv!__gl_8292291f", string.Empty },
            { "nv!__gl_83498426", string.Empty },
            { "nv!__gl_84993794", string.Empty },
            { "nv!__gl_84995585", string.Empty },
            { "nv!__gl_84a0a0", string.Empty },
            { "nv!__gl_852142", string.Empty },
            { "nv!__gl_85612309", string.Empty },
            { "nv!__gl_85612310", string.Empty },
            { "nv!__gl_85612311", string.Empty },
            { "nv!__gl_85612312", string.Empty },
            { "nv!__gl_8623ff27", string.Empty },
            { "nv!__gl_87364952", string.Empty },
            { "nv!__gl_87f6275666", string.Empty },
            { "nv!__gl_886748", string.Empty },
            { "nv!__gl_89894423", string.Empty },
            { "nv!__gl_8ad8a75", string.Empty },
            { "nv!__gl_8ad8ad00", string.Empty },
            { "nv!__gl_8bb815", string.Empty },
            { "nv!__gl_8bb817", string.Empty },
            { "nv!__gl_8bb818", string.Empty },
            { "nv!__gl_8bb819", string.Empty },
            { "nv!__gl_8e640cd1", string.Empty },
            { "nv!__gl_8f34971a", string.Empty },
            { "nv!__gl_8f773984", string.Empty },
            { "nv!__gl_8f7a7d", string.Empty },
            { "nv!__gl_902486209", string.Empty },
            { "nv!__gl_90482571", string.Empty },
            { "nv!__gl_91214835", string.Empty },
            { "nv!__gl_912848290", string.Empty },
            { "nv!__gl_915e56", string.Empty },
            { "nv!__gl_92179063", string.Empty },
            { "nv!__gl_92179064", string.Empty },
            { "nv!__gl_92179065", string.Empty },
            { "nv!__gl_92179066", string.Empty },
            { "nv!__gl_92350358", string.Empty },
            { "nv!__gl_92809063", string.Empty },
            { "nv!__gl_92809064", string.Empty },
            { "nv!__gl_92809065", string.Empty },
            { "nv!__gl_92809066", string.Empty },
            { "nv!__gl_92920143", string.Empty },
            { "nv!__gl_93a89b12", string.Empty },
            { "nv!__gl_93a89c0b", string.Empty },
            { "nv!__gl_94812574", string.Empty },
            { "nv!__gl_95282304", string.Empty },
            { "nv!__gl_95394027", string.Empty },
            { "nv!__gl_959b1f", string.Empty },
            { "nv!__gl_9638af", string.Empty },
            { "nv!__gl_96fd59", string.Empty },
            { "nv!__gl_97f6275666", string.Empty },
            { "nv!__gl_97f6275667", string.Empty },
            { "nv!__gl_97f6275668", string.Empty },
            { "nv!__gl_97f6275669", string.Empty },
            { "nv!__gl_97f627566a", string.Empty },
            { "nv!__gl_97f627566b", string.Empty },
            { "nv!__gl_97f627566d", string.Empty },
            { "nv!__gl_97f627566e", string.Empty },
            { "nv!__gl_97f627566f", string.Empty },
            { "nv!__gl_97f6275670", string.Empty },
            { "nv!__gl_97f6275671", string.Empty },
            { "nv!__gl_97f727566e", string.Empty },
            { "nv!__gl_98480775", string.Empty },
            { "nv!__gl_98480776", string.Empty },
            { "nv!__gl_98480777", string.Empty },
            { "nv!__gl_992431", string.Empty },
            { "nv!__gl_9aa29065", string.Empty },
            { "nv!__gl_9af32c", string.Empty },
            { "nv!__gl_9af32d", string.Empty },
            { "nv!__gl_9af32e", string.Empty },
            { "nv!__gl_9c108b71", string.Empty },
            { "nv!__gl_9f279065", string.Empty },
            { "nv!__gl_a01bc728", string.Empty },
            { "nv!__gl_a13b46c80", string.Empty },
            { "nv!__gl_a22eb0", string.Empty },
            { "nv!__gl_a2fb451e", string.Empty },
            { "nv!__gl_a3456abe", string.Empty },
            { "nv!__gl_a7044887", string.Empty },
            { "nv!__gl_a7149200", string.Empty },
            { "nv!__gl_a766215670", string.Empty },
            { "nv!__gl_aalinegamma", string.Empty },
            { "nv!__gl_aalinetweaks", string.Empty },
            { "nv!__gl_ab34ee01", string.Empty },
            { "nv!__gl_ab34ee02", string.Empty },
            { "nv!__gl_ab34ee03", string.Empty },
            { "nv!__gl_ac0274", string.Empty },
            { "nv!__gl_af73c63e", string.Empty },
            { "nv!__gl_af73c63f", string.Empty },
            { "nv!__gl_af9927", string.Empty },
            { "nv!__gl_afoverride", string.Empty },
            { "nv!__gl_allocdeviceevents", string.Empty },
            { "nv!__gl_applicationkey", string.Empty },
            { "nv!__gl_appreturnonlybasicglsltype", string.Empty },
            { "nv!__gl_app_softimage", string.Empty },
            { "nv!__gl_app_supportbits2", string.Empty },
            { "nv!__gl_assumetextureismipmappedatcreation", string.Empty },
            { "nv!__gl_b1fb0f01", string.Empty },
            { "nv!__gl_b3edd5", string.Empty },
            { "nv!__gl_b40d9e03d", string.Empty },
            { "nv!__gl_b7f6275666", string.Empty },
            { "nv!__gl_b812c1", string.Empty },
            { "nv!__gl_ba14ba1a", string.Empty },
            { "nv!__gl_ba14ba1b", string.Empty },
            { "nv!__gl_bd7559", string.Empty },
            { "nv!__gl_bd755a", string.Empty },
            { "nv!__gl_bd755c", string.Empty },
            { "nv!__gl_bd755d", string.Empty },
            { "nv!__gl_be58bb", string.Empty },
            { "nv!__gl_be92cb", string.Empty },
            { "nv!__gl_beefcba3", string.Empty },
            { "nv!__gl_beefcba4", string.Empty },
            { "nv!__gl_c023777f", string.Empty },
            { "nv!__gl_c09dc8", string.Empty },
            { "nv!__gl_c0d340", string.Empty },
            { "nv!__gl_c2ff374c", string.Empty },
            { "nv!__gl_c5e9d7a3", string.Empty },
            { "nv!__gl_c5e9d7a4", string.Empty },
            { "nv!__gl_c5e9d7b4", string.Empty },
            { "nv!__gl_c618f9", string.Empty },
            { "nv!__gl_ca345840", string.Empty },
            { "nv!__gl_cachedisable", string.Empty },
            { "nv!__gl_channelpriorityoverride", string.Empty },
            { "nv!__gl_cleardatastorevidmem", string.Empty },
            { "nv!__gl_cmdbufmemoryspaceenables", string.Empty },
            { "nv!__gl_cmdbufminwords", string.Empty },
            { "nv!__gl_cmdbufsizewords", string.Empty },
            { "nv!__gl_conformantblitframebufferscissor", string.Empty },
            { "nv!__gl_conformantincompletetextures", string.Empty },
            { "nv!__gl_copybuffermethod", string.Empty },
            { "nv!__gl_cubemapaniso", string.Empty },
            { "nv!__gl_cubemapfiltering", string.Empty },
            { "nv!__gl_d0e9a4d7", string.Empty },
            { "nv!__gl_d13733f12", string.Empty },
            { "nv!__gl_d1b399", string.Empty },
            { "nv!__gl_d2983c32", string.Empty },
            { "nv!__gl_d2983c33", string.Empty },
            { "nv!__gl_d2e71b", string.Empty },
            { "nv!__gl_d377dc", string.Empty },
            { "nv!__gl_d377dd", string.Empty },
            { "nv!__gl_d489f4", string.Empty },
            { "nv!__gl_d4bce1", string.Empty },
            { "nv!__gl_d518cb", string.Empty },
            { "nv!__gl_d518cd", string.Empty },
            { "nv!__gl_d518ce", string.Empty },
            { "nv!__gl_d518d0", string.Empty },
            { "nv!__gl_d518d1", string.Empty },
            { "nv!__gl_d518d2", string.Empty },
            { "nv!__gl_d518d3", string.Empty },
            { "nv!__gl_d518d4", string.Empty },
            { "nv!__gl_d518d5", string.Empty },
            { "nv!__gl_d59eda", string.Empty },
            { "nv!__gl_d83cbd", string.Empty },
            { "nv!__gl_d8e777", string.Empty },
            { "nv!__gl_debug_level", string.Empty },
            { "nv!__gl_debug_mask", string.Empty },
            { "nv!__gl_debug_options", string.Empty },
            { "nv!__gl_devshmpageableallocations", string.Empty },
            { "nv!__gl_df1f9812", string.Empty },
            { "nv!__gl_df783c", string.Empty },
            { "nv!__gl_diagenable", string.Empty },
            { "nv!__gl_disallowcemask", string.Empty },
            { "nv!__gl_disallowz16", string.Empty },
            { "nv!__gl_dlmemoryspaceenables", string.Empty },
            { "nv!__gl_e0bfec", string.Empty },
            { "nv!__gl_e433456d", string.Empty },
            { "nv!__gl_e435563f", string.Empty },
            { "nv!__gl_e4cd9c", string.Empty },
            { "nv!__gl_e5c972", string.Empty },
            { "nv!__gl_e639ef", string.Empty },
            { "nv!__gl_e802af", string.Empty },
            { "nv!__gl_eae964", string.Empty },
            { "nv!__gl_earlytexturehwallocation", string.Empty },
            { "nv!__gl_eb92a3", string.Empty },
            { "nv!__gl_ebca56", string.Empty },
            { "nv!__gl_expert_detail_level", string.Empty },
            { "nv!__gl_expert_output_mask", string.Empty },
            { "nv!__gl_expert_report_mask", string.Empty },
            { "nv!__gl_extensionstringnvarch", string.Empty },
            { "nv!__gl_extensionstringversion", string.Empty },
            { "nv!__gl_f00f1938", string.Empty },
            { "nv!__gl_f10736", string.Empty },
            { "nv!__gl_f1846870", string.Empty },
            { "nv!__gl_f33bc370", string.Empty },
            { "nv!__gl_f392a874", string.Empty },
            { "nv!__gl_f49ae8", string.Empty },
            { "nv!__gl_fa345cce", string.Empty },
            { "nv!__gl_fa35cc4", string.Empty },
            { "nv!__gl_faa14a", string.Empty },
            { "nv!__gl_faf8a723", string.Empty },
            { "nv!__gl_fastgs", string.Empty },
            { "nv!__gl_fbf4ac45", string.Empty },
            { "nv!__gl_fbo_blit_ignore_srgb", string.Empty },
            { "nv!__gl_fc64c7", string.Empty },
            { "nv!__gl_ff54ec97", string.Empty },
            { "nv!__gl_ff54ec98", string.Empty },
            { "nv!__gl_forceexitprocessdetach", string.Empty },
            { "nv!__gl_forcerequestedesversion", string.Empty },
            { "nv!__gl_glsynctovblank", string.Empty },
            { "nv!__gl_gvitimeoutcontrol", string.Empty },
            { "nv!__gl_hcctrl", string.Empty },
            { "nv!__gl_hwstate_per_ctx", string.Empty },
            { "nv!__gl_machinecachelimit", string.Empty },
            { "nv!__gl_maxframesallowed", string.Empty },
            { "nv!__gl_memmgrcachedalloclimit", string.Empty },
            { "nv!__gl_memmgrcachedalloclimitratio", string.Empty },
            { "nv!__gl_memmgrsysheapalloclimit", string.Empty },
            { "nv!__gl_memmgrsysheapalloclimitratio", string.Empty },
            { "nv!__gl_memmgrvidheapalloclimit", string.Empty },
            { "nv!__gl_mosaic_clip_to_subdev", string.Empty },
            { "nv!__gl_mosaic_clip_to_subdev_h_overlap", string.Empty },
            { "nv!__gl_mosaic_clip_to_subdev_v_overlap", string.Empty },
            { "nv!__gl_overlaymergeblittimerms", string.Empty },
            { "nv!__gl_perfmon_mode", string.Empty },
            { "nv!__gl_pixbar_mode", string.Empty },
            { "nv!__gl_qualityenhancements", string.Empty },
            { "nv!__gl_r27s18q28", string.Empty },
            { "nv!__gl_r2d7c1d8", string.Empty },
            { "nv!__gl_renderer", string.Empty },
            { "nv!__gl_renderqualityflags", string.Empty },
            { "nv!__gl_s3tcquality", string.Empty },
            { "nv!__gl_shaderatomics", string.Empty },
            { "nv!__gl_shadercacheinitsize", string.Empty },
            { "nv!__gl_shader_disk_cache_path", string.Empty },
            { "nv!__gl_shader_disk_cache_read_only", string.Empty },
            { "nv!__gl_shaderobjects", string.Empty },
            { "nv!__gl_shaderportabilitywarnings", string.Empty },
            { "nv!__gl_shaderwarningsaserrors", string.Empty },
            { "nv!__gl_skiptexturehostcopies", string.Empty },
            { "nv!__glslc_debug_level", string.Empty },
            { "nv!__glslc_debug_mask", string.Empty },
            { "nv!__glslc_debug_options", string.Empty },
            { "nv!__glslc_debug_filename", string.Empty },
            { "nv!__gl_sli_dli_control", string.Empty },
            { "nv!__gl_sparsetexture", string.Empty },
            { "nv!__gl_spinlooptimeout", string.Empty },
            { "nv!__gl_sync_to_vblank", string.Empty },
            { "nv!glsynctovblank", string.Empty },
            { "nv!__gl_sysheapreuseratio", string.Empty },
            { "nv!__gl_sysmemtexturepromotion", string.Empty },
            { "nv!__gl_targetflushcount", string.Empty },
            { "nv!__gl_tearingfreeswappresent", string.Empty },
            { "nv!__gl_texclampbehavior", string.Empty },
            { "nv!__gl_texlodbias", string.Empty },
            { "nv!__gl_texmemoryspaceenables", string.Empty },
            { "nv!__gl_textureprecache", string.Empty },
            { "nv!__gl_threadcontrol", string.Empty },
            { "nv!__gl_threadcontrol2", string.Empty },
            { "nv!__gl_usegvievents", string.Empty },
            { "nv!__gl_vbomemoryspaceenables", string.Empty },
            { "nv!__gl_vertexlimit", string.Empty },
            { "nv!__gl_vidheapreuseratio", string.Empty },
            { "nv!__gl_vpipe", string.Empty },
            { "nv!__gl_vpipeformatbloatlimit", string.Empty },
            { "nv!__gl_wglmessageboxonabort", string.Empty },
            { "nv!__gl_writeinfolog", string.Empty },
            { "nv!__gl_writeprogramobjectassembly", string.Empty },
            { "nv!__gl_writeprogramobjectsource", string.Empty },
            { "nv!__gl_xnvadapterpresent", string.Empty },
            { "nv!__gl_yield", string.Empty },
            { "nv!__gl_yieldfunction", string.Empty },
            { "nv!__gl_yieldfunctionfast", string.Empty },
            { "nv!__gl_yieldfunctionslow", string.Empty },
            { "nv!__gl_yieldfunctionwaitfordcqueue", string.Empty },
            { "nv!__gl_yieldfunctionwaitforframe", string.Empty },
            { "nv!__gl_yieldfunctionwaitforgpu", string.Empty },
            { "nv!__gl_zbctableaddhysteresis", string.Empty },
            { "nv!gpu_debug_mode", string.Empty },
            { "nv!gpu_stay_on", string.Empty },
            { "nv!gpu_timeout_ms_max", string.Empty },
            { "nv!gvitimeoutcontrol", string.Empty },
            { "nv!hcctrl", string.Empty },
            { "nv!hwstate_per_ctx", string.Empty },
            { "nv!libandroid_enable_log", string.Empty },
            { "nv!machinecachelimit", string.Empty },
            { "nv!maxframesallowed", string.Empty },
            { "nv!media.aac_51_output_enabled", string.Empty },
            { "nv!memmgrcachedalloclimit", string.Empty },
            { "nv!memmgrcachedalloclimitratio", string.Empty },
            { "nv!memmgrsysheapalloclimit", string.Empty },
            { "nv!memmgrsysheapalloclimitratio", string.Empty },
            { "nv!memmgrvidheapalloclimit", string.Empty },
            { "nv!mosaic_clip_to_subdev", string.Empty },
            { "nv!mosaic_clip_to_subdev_h_overlap", string.Empty },
            { "nv!mosaic_clip_to_subdev_v_overlap", string.Empty },
            { "nv!nvblit.dump", string.Empty },
            { "nv!nvblit.profile", string.Empty },
            { "nv!nvblit.twod", string.Empty },
            { "nv!nvblit.vic", string.Empty },
            { "nv!nvddk_vic_prevent_use", string.Empty },
            { "nv!nv_decompression", string.Empty },
            { "nv!nvdisp_bl_ctrl", "0" },
            { "nv!nvdisp_debug_mask", string.Empty },
            { "nv!nvdisp_enable_ts", "0" },
            { "nv!nvhdcp_timeout_ms", "12000" },
            { "nv!nvhdcp_max_retries", "5" },
            { "nv!nv_emc_dvfs_test", string.Empty },
            { "nv!nv_emc_init_rate_hz", string.Empty },
            { "nv!nv_gmmu_va_page_split", string.Empty },
            { "nv!nv_gmmu_va_range", string.Empty },
            { "nv!nvhost_debug_mask", string.Empty },
            { "nv!nvidia.hwc.dump_config", string.Empty },
            { "nv!nvidia.hwc.dump_layerlist", string.Empty },
            { "nv!nvidia.hwc.dump_windows", string.Empty },
            { "nv!nvidia.hwc.enable_disp_trans", string.Empty },
            { "nv!nvidia.hwc.ftrace_enable", string.Empty },
            { "nv!nvidia.hwc.hdcp_enable", string.Empty },
            { "nv!nvidia.hwc.hidden_window_mask0", string.Empty },
            { "nv!nvidia.hwc.hidden_window_mask1", string.Empty },
            { "nv!nvidia.hwc.immediate_modeset", string.Empty },
            { "nv!nvidia.hwc.imp_enable", string.Empty },
            { "nv!nvidia.hwc.no_egl", string.Empty },
            { "nv!nvidia.hwc.no_scratchblit", string.Empty },
            { "nv!nvidia.hwc.no_vic", string.Empty },
            { "nv!nvidia.hwc.null_display", string.Empty },
            { "nv!nvidia.hwc.scan_props", string.Empty },
            { "nv!nvidia.hwc.swap_interval", string.Empty },
            { "nv!nvidia.hwc.war_1515812", "0" },
            { "nv!nvmap_debug_mask", string.Empty },
            { "nv!nv_memory_profiler", string.Empty },
            { "nv!nvnflinger_enable_log", string.Empty },
            { "nv!nvnflinger_flip_policy", string.Empty },
            { "nv!nvnflinger_hotplug_autoswitch", "0" },
            { "nv!nvnflinger_prefer_primary_layer", "0" },
            { "nv!nvnflinger_service_priority", string.Empty },
            { "nv!nvnflinger_service_threads", string.Empty },
            { "nv!nvnflinger_swap_interval", string.Empty },
            { "nv!nvnflinger_track_perf", string.Empty },
            { "nv!nvnflinger_virtualdisplay_policy", "60hz" },
            { "nv!nvn_no_vsync_capability", false },
            { "nv!nvn_through_opengl", string.Empty },
            { "nv!nv_pllcx_always_on", string.Empty },
            { "nv!nv_pllcx_safe_div", string.Empty },
            { "nv!nvrm_gpu_channel_interleave", string.Empty },
            { "nv!nvrm_gpu_channel_priority", string.Empty },
            { "nv!nvrm_gpu_channel_timeslice", string.Empty },
            { "nv!nvrm_gpu_default_device_index", string.Empty },
            { "nv!nvrm_gpu_dummy", string.Empty },
            { "nv!nvrm_gpu_help", string.Empty },
            { "nv!nvrm_gpu_nvgpu_disable", string.Empty },
            { "nv!nvrm_gpu_nvgpu_do_nfa_partial_map", string.Empty },
            { "nv!nvrm_gpu_nvgpu_ecc_overrides", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_as_get_va_regions", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_channel_abort", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_cyclestats", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_fixed", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_gpu_characteristics", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_ioctl_mutex", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_map_buffer_ex", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_robustness", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_sparse", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_syncpoints", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_tsg", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_zbc", string.Empty },
            { "nv!nvrm_gpu_nvgpu_no_zcull", string.Empty },
            { "nv!nvrm_gpu_nvgpu_wrap_channels_in_tsgs", string.Empty },
            { "nv!nvrm_gpu_prevent_use", string.Empty },
            { "nv!nvrm_gpu_trace", string.Empty },
            { "nv!nvsched_debug_mask", string.Empty },
            { "nv!nvsched_force_enable", string.Empty },
            { "nv!nvsched_force_log", string.Empty },
            { "nv!nv_usb_plls_hw_ctrl", string.Empty },
            { "nv!nv_winsys", string.Empty },
            { "nv!nvwsi_dump", string.Empty },
            { "nv!nvwsi_fill", string.Empty },
            { "nv!ogl_", string.Empty },
            { "nv!ogl_0356afd0", string.Empty },
            { "nv!ogl_0356afd1", string.Empty },
            { "nv!ogl_0356afd2", string.Empty },
            { "nv!ogl_0356afd3", string.Empty },
            { "nv!ogl_0x923dc0", string.Empty },
            { "nv!ogl_0x923dc1", string.Empty },
            { "nv!ogl_0x923dc2", string.Empty },
            { "nv!ogl_0x923dc3", string.Empty },
            { "nv!ogl_0x923dc4", string.Empty },
            { "nv!ogl_0x923dd3", string.Empty },
            { "nv!ogl_0x9abdc5", string.Empty },
            { "nv!ogl_0x9abdc6", string.Empty },
            { "nv!ogl_0xbd10fb", string.Empty },
            { "nv!ogl_0xce2348", string.Empty },
            { "nv!ogl_10261989", string.Empty },
            { "nv!ogl_1042d483", string.Empty },
            { "nv!ogl_10572898", string.Empty },
            { "nv!ogl_115631", string.Empty },
            { "nv!ogl_12950094", string.Empty },
            { "nv!ogl_1314f311", string.Empty },
            { "nv!ogl_1314f312", string.Empty },
            { "nv!ogl_13279512", string.Empty },
            { "nv!ogl_13813496", string.Empty },
            { "nv!ogl_14507179", string.Empty },
            { "nv!ogl_15694569", string.Empty },
            { "nv!ogl_16936964", string.Empty },
            { "nv!ogl_17aa230c", string.Empty },
            { "nv!ogl_182054", string.Empty },
            { "nv!ogl_18273275", string.Empty },
            { "nv!ogl_18273276", string.Empty },
            { "nv!ogl_1854d03b", string.Empty },
            { "nv!ogl_18add00d", string.Empty },
            { "nv!ogl_19156670", string.Empty },
            { "nv!ogl_19286545", string.Empty },
            { "nv!ogl_1a298e9f", string.Empty },
            { "nv!ogl_1acf43fe", string.Empty },
            { "nv!ogl_1bda43fe", string.Empty },
            { "nv!ogl_1c3b92", string.Empty },
            { "nv!ogl_21509920", string.Empty },
            { "nv!ogl_215323457", string.Empty },
            { "nv!ogl_2165ad", string.Empty },
            { "nv!ogl_2165ae", string.Empty },
            { "nv!ogl_21be9c", string.Empty },
            { "nv!ogl_233264316", string.Empty },
            { "nv!ogl_234557580", string.Empty },
            { "nv!ogl_23cd0e", string.Empty },
            { "nv!ogl_24189123", string.Empty },
            { "nv!ogl_2443266", string.Empty },
            { "nv!ogl_25025519", string.Empty },
            { "nv!ogl_255e39", string.Empty },
            { "nv!ogl_2583364", string.Empty },
            { "nv!ogl_2888c1", string.Empty },
            { "nv!ogl_28ca3e", string.Empty },
            { "nv!ogl_29871243", string.Empty },
            { "nv!ogl_2a1f64", string.Empty },
            { "nv!ogl_2dc432", string.Empty },
            { "nv!ogl_2de437", string.Empty },
            { "nv!ogl_2f3bb89c", string.Empty },
            { "nv!ogl_2fd652", string.Empty },
            { "nv!ogl_3001ac", string.Empty },
            { "nv!ogl_31298772", string.Empty },
            { "nv!ogl_313233", string.Empty },
            { "nv!ogl_31f7d603", string.Empty },
            { "nv!ogl_320ce4", string.Empty },
            { "nv!ogl_32153248", string.Empty },
            { "nv!ogl_32153249", string.Empty },
            { "nv!ogl_335bca", string.Empty },
            { "nv!ogl_342abb", string.Empty },
            { "nv!ogl_34dfe6", string.Empty },
            { "nv!ogl_34dfe7", string.Empty },
            { "nv!ogl_34dfe8", string.Empty },
            { "nv!ogl_34dfe9", string.Empty },
            { "nv!ogl_35201578", string.Empty },
            { "nv!ogl_359278", string.Empty },
            { "nv!ogl_37f53a", string.Empty },
            { "nv!ogl_38144972", string.Empty },
            { "nv!ogl_38542646", string.Empty },
            { "nv!ogl_3b74c9", string.Empty },
            { "nv!ogl_3c136f", string.Empty },
            { "nv!ogl_3cf72823", string.Empty },
            { "nv!ogl_3d7af029", string.Empty },
            { "nv!ogl_3ff34782", string.Empty },
            { "nv!ogl_4129618", string.Empty },
            { "nv!ogl_4189fac3", string.Empty },
            { "nv!ogl_420bd4", string.Empty },
            { "nv!ogl_42a699", string.Empty },
            { "nv!ogl_441369", string.Empty },
            { "nv!ogl_4458713e", string.Empty },
            { "nv!ogl_4554b6", string.Empty },
            { "nv!ogl_457425", string.Empty },
            { "nv!ogl_4603b207", string.Empty },
            { "nv!ogl_46574957", string.Empty },
            { "nv!ogl_46574958", string.Empty },
            { "nv!ogl_46813529", string.Empty },
            { "nv!ogl_46f1e13d", string.Empty },
            { "nv!ogl_47534c43", string.Empty },
            { "nv!ogl_48550336", string.Empty },
            { "nv!ogl_48576893", string.Empty },
            { "nv!ogl_48576894", string.Empty },
            { "nv!ogl_4889ac02", string.Empty },
            { "nv!ogl_49005740", string.Empty },
            { "nv!ogl_49867584", string.Empty },
            { "nv!ogl_49960973", string.Empty },
            { "nv!ogl_4a5341", string.Empty },
            { "nv!ogl_4f4e48", string.Empty },
            { "nv!ogl_4f8a0a", string.Empty },
            { "nv!ogl_50299698", string.Empty },
            { "nv!ogl_50299699", string.Empty },
            { "nv!ogl_50361291", string.Empty },
            { "nv!ogl_5242ae", string.Empty },
            { "nv!ogl_53d30c", string.Empty },
            { "nv!ogl_56347a", string.Empty },
            { "nv!ogl_563a95f1", string.Empty },
            { "nv!ogl_573823", string.Empty },
            { "nv!ogl_58027529", string.Empty },
            { "nv!ogl_5d2d63", string.Empty },
            { "nv!ogl_5f7e3b", string.Empty },
            { "nv!ogl_60461793", string.Empty },
            { "nv!ogl_60d355", string.Empty },
            { "nv!ogl_616627aa", string.Empty },
            { "nv!ogl_62317182", string.Empty },
            { "nv!ogl_6253fa2e", string.Empty },
            { "nv!ogl_64100768", string.Empty },
            { "nv!ogl_64100769", string.Empty },
            { "nv!ogl_64100770", string.Empty },
            { "nv!ogl_647395", string.Empty },
            { "nv!ogl_66543234", string.Empty },
            { "nv!ogl_67674763", string.Empty },
            { "nv!ogl_67739784", string.Empty },
            { "nv!ogl_68fb9c", string.Empty },
            { "nv!ogl_69801276", string.Empty },
            { "nv!ogl_6af9fa2f", string.Empty },
            { "nv!ogl_6af9fa3f", string.Empty },
            { "nv!ogl_6af9fa4f", string.Empty },
            { "nv!ogl_6bd8c7", string.Empty },
            { "nv!ogl_6c7691", string.Empty },
            { "nv!ogl_6d4296ce", string.Empty },
            { "nv!ogl_6dd7e7", string.Empty },
            { "nv!ogl_6dd7e8", string.Empty },
            { "nv!ogl_6fe11ec1", string.Empty },
            { "nv!ogl_716511763", string.Empty },
            { "nv!ogl_72504593", string.Empty },
            { "nv!ogl_73304097", string.Empty },
            { "nv!ogl_73314098", string.Empty },
            { "nv!ogl_74095213", string.Empty },
            { "nv!ogl_74095213a", string.Empty },
            { "nv!ogl_74095213b", string.Empty },
            { "nv!ogl_74095214", string.Empty },
            { "nv!ogl_748f9649", string.Empty },
            { "nv!ogl_75494732", string.Empty },
            { "nv!ogl_78452832", string.Empty },
            { "nv!ogl_784561", string.Empty },
            { "nv!ogl_78e16b9c", string.Empty },
            { "nv!ogl_79251225", string.Empty },
            { "nv!ogl_7c128b", string.Empty },
            { "nv!ogl_7ccd93", string.Empty },
            { "nv!ogl_7df8d1", string.Empty },
            { "nv!ogl_800c2310", string.Empty },
            { "nv!ogl_80546710", string.Empty },
            { "nv!ogl_80772310", string.Empty },
            { "nv!ogl_808ee280", string.Empty },
            { "nv!ogl_81131154", string.Empty },
            { "nv!ogl_81274457", string.Empty },
            { "nv!ogl_8292291f", string.Empty },
            { "nv!ogl_83498426", string.Empty },
            { "nv!ogl_84993794", string.Empty },
            { "nv!ogl_84995585", string.Empty },
            { "nv!ogl_84a0a0", string.Empty },
            { "nv!ogl_852142", string.Empty },
            { "nv!ogl_85612309", string.Empty },
            { "nv!ogl_85612310", string.Empty },
            { "nv!ogl_85612311", string.Empty },
            { "nv!ogl_85612312", string.Empty },
            { "nv!ogl_8623ff27", string.Empty },
            { "nv!ogl_87364952", string.Empty },
            { "nv!ogl_87f6275666", string.Empty },
            { "nv!ogl_886748", string.Empty },
            { "nv!ogl_89894423", string.Empty },
            { "nv!ogl_8ad8a75", string.Empty },
            { "nv!ogl_8ad8ad00", string.Empty },
            { "nv!ogl_8bb815", string.Empty },
            { "nv!ogl_8bb817", string.Empty },
            { "nv!ogl_8bb818", string.Empty },
            { "nv!ogl_8bb819", string.Empty },
            { "nv!ogl_8e640cd1", string.Empty },
            { "nv!ogl_8f34971a", string.Empty },
            { "nv!ogl_8f773984", string.Empty },
            { "nv!ogl_8f7a7d", string.Empty },
            { "nv!ogl_902486209", string.Empty },
            { "nv!ogl_90482571", string.Empty },
            { "nv!ogl_91214835", string.Empty },
            { "nv!ogl_912848290", string.Empty },
            { "nv!ogl_915e56", string.Empty },
            { "nv!ogl_92179063", string.Empty },
            { "nv!ogl_92179064", string.Empty },
            { "nv!ogl_92179065", string.Empty },
            { "nv!ogl_92179066", string.Empty },
            { "nv!ogl_92350358", string.Empty },
            { "nv!ogl_92809063", string.Empty },
            { "nv!ogl_92809064", string.Empty },
            { "nv!ogl_92809065", string.Empty },
            { "nv!ogl_92809066", string.Empty },
            { "nv!ogl_92920143", string.Empty },
            { "nv!ogl_93a89b12", string.Empty },
            { "nv!ogl_93a89c0b", string.Empty },
            { "nv!ogl_94812574", string.Empty },
            { "nv!ogl_95282304", string.Empty },
            { "nv!ogl_95394027", string.Empty },
            { "nv!ogl_959b1f", string.Empty },
            { "nv!ogl_9638af", string.Empty },
            { "nv!ogl_96fd59", string.Empty },
            { "nv!ogl_97f6275666", string.Empty },
            { "nv!ogl_97f6275667", string.Empty },
            { "nv!ogl_97f6275668", string.Empty },
            { "nv!ogl_97f6275669", string.Empty },
            { "nv!ogl_97f627566a", string.Empty },
            { "nv!ogl_97f627566b", string.Empty },
            { "nv!ogl_97f627566d", string.Empty },
            { "nv!ogl_97f627566e", string.Empty },
            { "nv!ogl_97f627566f", string.Empty },
            { "nv!ogl_97f6275670", string.Empty },
            { "nv!ogl_97f6275671", string.Empty },
            { "nv!ogl_97f727566e", string.Empty },
            { "nv!ogl_98480775", string.Empty },
            { "nv!ogl_98480776", string.Empty },
            { "nv!ogl_98480777", string.Empty },
            { "nv!ogl_992431", string.Empty },
            { "nv!ogl_9aa29065", string.Empty },
            { "nv!ogl_9af32c", string.Empty },
            { "nv!ogl_9af32d", string.Empty },
            { "nv!ogl_9af32e", string.Empty },
            { "nv!ogl_9c108b71", string.Empty },
            { "nv!ogl_9f279065", string.Empty },
            { "nv!ogl_a01bc728", string.Empty },
            { "nv!ogl_a13b46c80", string.Empty },
            { "nv!ogl_a22eb0", string.Empty },
            { "nv!ogl_a2fb451e", string.Empty },
            { "nv!ogl_a3456abe", string.Empty },
            { "nv!ogl_a7044887", string.Empty },
            { "nv!ogl_a7149200", string.Empty },
            { "nv!ogl_a766215670", string.Empty },
            { "nv!ogl_aalinegamma", string.Empty },
            { "nv!ogl_aalinetweaks", string.Empty },
            { "nv!ogl_ab34ee01", string.Empty },
            { "nv!ogl_ab34ee02", string.Empty },
            { "nv!ogl_ab34ee03", string.Empty },
            { "nv!ogl_ac0274", string.Empty },
            { "nv!ogl_af73c63e", string.Empty },
            { "nv!ogl_af73c63f", string.Empty },
            { "nv!ogl_af9927", string.Empty },
            { "nv!ogl_afoverride", string.Empty },
            { "nv!ogl_allocdeviceevents", string.Empty },
            { "nv!ogl_applicationkey", string.Empty },
            { "nv!ogl_appreturnonlybasicglsltype", string.Empty },
            { "nv!ogl_app_softimage", string.Empty },
            { "nv!ogl_app_supportbits2", string.Empty },
            { "nv!ogl_assumetextureismipmappedatcreation", string.Empty },
            { "nv!ogl_b1fb0f01", string.Empty },
            { "nv!ogl_b3edd5", string.Empty },
            { "nv!ogl_b40d9e03d", string.Empty },
            { "nv!ogl_b7f6275666", string.Empty },
            { "nv!ogl_b812c1", string.Empty },
            { "nv!ogl_ba14ba1a", string.Empty },
            { "nv!ogl_ba14ba1b", string.Empty },
            { "nv!ogl_bd7559", string.Empty },
            { "nv!ogl_bd755a", string.Empty },
            { "nv!ogl_bd755c", string.Empty },
            { "nv!ogl_bd755d", string.Empty },
            { "nv!ogl_be58bb", string.Empty },
            { "nv!ogl_be92cb", string.Empty },
            { "nv!ogl_beefcba3", string.Empty },
            { "nv!ogl_beefcba4", string.Empty },
            { "nv!ogl_c023777f", string.Empty },
            { "nv!ogl_c09dc8", string.Empty },
            { "nv!ogl_c0d340", string.Empty },
            { "nv!ogl_c2ff374c", string.Empty },
            { "nv!ogl_c5e9d7a3", string.Empty },
            { "nv!ogl_c5e9d7a4", string.Empty },
            { "nv!ogl_c5e9d7b4", string.Empty },
            { "nv!ogl_c618f9", string.Empty },
            { "nv!ogl_ca345840", string.Empty },
            { "nv!ogl_cachedisable", string.Empty },
            { "nv!ogl_channelpriorityoverride", string.Empty },
            { "nv!ogl_cleardatastorevidmem", string.Empty },
            { "nv!ogl_cmdbufmemoryspaceenables", string.Empty },
            { "nv!ogl_cmdbufminwords", string.Empty },
            { "nv!ogl_cmdbufsizewords", string.Empty },
            { "nv!ogl_conformantblitframebufferscissor", string.Empty },
            { "nv!ogl_conformantincompletetextures", string.Empty },
            { "nv!ogl_copybuffermethod", string.Empty },
            { "nv!ogl_cubemapaniso", string.Empty },
            { "nv!ogl_cubemapfiltering", string.Empty },
            { "nv!ogl_d0e9a4d7", string.Empty },
            { "nv!ogl_d13733f12", string.Empty },
            { "nv!ogl_d1b399", string.Empty },
            { "nv!ogl_d2983c32", string.Empty },
            { "nv!ogl_d2983c33", string.Empty },
            { "nv!ogl_d2e71b", string.Empty },
            { "nv!ogl_d377dc", string.Empty },
            { "nv!ogl_d377dd", string.Empty },
            { "nv!ogl_d489f4", string.Empty },
            { "nv!ogl_d4bce1", string.Empty },
            { "nv!ogl_d518cb", string.Empty },
            { "nv!ogl_d518cd", string.Empty },
            { "nv!ogl_d518ce", string.Empty },
            { "nv!ogl_d518d0", string.Empty },
            { "nv!ogl_d518d1", string.Empty },
            { "nv!ogl_d518d2", string.Empty },
            { "nv!ogl_d518d3", string.Empty },
            { "nv!ogl_d518d4", string.Empty },
            { "nv!ogl_d518d5", string.Empty },
            { "nv!ogl_d59eda", string.Empty },
            { "nv!ogl_d83cbd", string.Empty },
            { "nv!ogl_d8e777", string.Empty },
            { "nv!ogl_debug_level", string.Empty },
            { "nv!ogl_debug_mask", string.Empty },
            { "nv!ogl_debug_options", string.Empty },
            { "nv!ogl_devshmpageableallocations", string.Empty },
            { "nv!ogl_df1f9812", string.Empty },
            { "nv!ogl_df783c", string.Empty },
            { "nv!ogl_diagenable", string.Empty },
            { "nv!ogl_disallowcemask", string.Empty },
            { "nv!ogl_disallowz16", string.Empty },
            { "nv!ogl_dlmemoryspaceenables", string.Empty },
            { "nv!ogl_e0bfec", string.Empty },
            { "nv!ogl_e433456d", string.Empty },
            { "nv!ogl_e435563f", string.Empty },
            { "nv!ogl_e4cd9c", string.Empty },
            { "nv!ogl_e5c972", string.Empty },
            { "nv!ogl_e639ef", string.Empty },
            { "nv!ogl_e802af", string.Empty },
            { "nv!ogl_eae964", string.Empty },
            { "nv!ogl_earlytexturehwallocation", string.Empty },
            { "nv!ogl_eb92a3", string.Empty },
            { "nv!ogl_ebca56", string.Empty },
            { "nv!ogl_expert_detail_level", string.Empty },
            { "nv!ogl_expert_output_mask", string.Empty },
            { "nv!ogl_expert_report_mask", string.Empty },
            { "nv!ogl_extensionstringnvarch", string.Empty },
            { "nv!ogl_extensionstringversion", string.Empty },
            { "nv!ogl_f00f1938", string.Empty },
            { "nv!ogl_f10736", string.Empty },
            { "nv!ogl_f1846870", string.Empty },
            { "nv!ogl_f33bc370", string.Empty },
            { "nv!ogl_f392a874", string.Empty },
            { "nv!ogl_f49ae8", string.Empty },
            { "nv!ogl_fa345cce", string.Empty },
            { "nv!ogl_fa35cc4", string.Empty },
            { "nv!ogl_faa14a", string.Empty },
            { "nv!ogl_faf8a723", string.Empty },
            { "nv!ogl_fastgs", string.Empty },
            { "nv!ogl_fbf4ac45", string.Empty },
            { "nv!ogl_fbo_blit_ignore_srgb", string.Empty },
            { "nv!ogl_fc64c7", string.Empty },
            { "nv!ogl_ff54ec97", string.Empty },
            { "nv!ogl_ff54ec98", string.Empty },
            { "nv!ogl_forceexitprocessdetach", string.Empty },
            { "nv!ogl_forcerequestedesversion", string.Empty },
            { "nv!ogl_glsynctovblank", string.Empty },
            { "nv!ogl_gvitimeoutcontrol", string.Empty },
            { "nv!ogl_hcctrl", string.Empty },
            { "nv!ogl_hwstate_per_ctx", string.Empty },
            { "nv!ogl_machinecachelimit", string.Empty },
            { "nv!ogl_maxframesallowed", string.Empty },
            { "nv!ogl_memmgrcachedalloclimit", string.Empty },
            { "nv!ogl_memmgrcachedalloclimitratio", string.Empty },
            { "nv!ogl_memmgrsysheapalloclimit", string.Empty },
            { "nv!ogl_memmgrsysheapalloclimitratio", string.Empty },
            { "nv!ogl_memmgrvidheapalloclimit", string.Empty },
            { "nv!ogl_mosaic_clip_to_subdev", string.Empty },
            { "nv!ogl_mosaic_clip_to_subdev_h_overlap", string.Empty },
            { "nv!ogl_mosaic_clip_to_subdev_v_overlap", string.Empty },
            { "nv!ogl_overlaymergeblittimerms", string.Empty },
            { "nv!ogl_perfmon_mode", string.Empty },
            { "nv!ogl_pixbar_mode", string.Empty },
            { "nv!ogl_qualityenhancements", string.Empty },
            { "nv!ogl_r27s18q28", string.Empty },
            { "nv!ogl_r2d7c1d8", string.Empty },
            { "nv!ogl_renderer", string.Empty },
            { "nv!ogl_renderqualityflags", string.Empty },
            { "nv!ogl_s3tcquality", string.Empty },
            { "nv!ogl_shaderatomics", string.Empty },
            { "nv!ogl_shadercacheinitsize", string.Empty },
            { "nv!ogl_shader_disk_cache_path", string.Empty },
            { "nv!ogl_shader_disk_cache_read_only", string.Empty },
            { "nv!ogl_shaderobjects", string.Empty },
            { "nv!ogl_shaderportabilitywarnings", string.Empty },
            { "nv!ogl_shaderwarningsaserrors", string.Empty },
            { "nv!ogl_skiptexturehostcopies", string.Empty },
            { "nv!ogl_sli_dli_control", string.Empty },
            { "nv!ogl_sparsetexture", string.Empty },
            { "nv!ogl_spinlooptimeout", string.Empty },
            { "nv!ogl_sync_to_vblank", string.Empty },
            { "nv!ogl_sysheapreuseratio", string.Empty },
            { "nv!ogl_sysmemtexturepromotion", string.Empty },
            { "nv!ogl_targetflushcount", string.Empty },
            { "nv!ogl_tearingfreeswappresent", string.Empty },
            { "nv!ogl_texclampbehavior", string.Empty },
            { "nv!ogl_texlodbias", string.Empty },
            { "nv!ogl_texmemoryspaceenables", string.Empty },
            { "nv!ogl_textureprecache", string.Empty },
            { "nv!ogl_threadcontrol", string.Empty },
            { "nv!ogl_threadcontrol2", string.Empty },
            { "nv!ogl_usegvievents", string.Empty },
            { "nv!ogl_vbomemoryspaceenables", string.Empty },
            { "nv!ogl_vertexlimit", string.Empty },
            { "nv!ogl_vidheapreuseratio", string.Empty },
            { "nv!ogl_vpipe", string.Empty },
            { "nv!ogl_vpipeformatbloatlimit", string.Empty },
            { "nv!ogl_wglmessageboxonabort", string.Empty },
            { "nv!ogl_writeinfolog", string.Empty },
            { "nv!ogl_writeprogramobjectassembly", string.Empty },
            { "nv!ogl_writeprogramobjectsource", string.Empty },
            { "nv!ogl_xnvadapterpresent", string.Empty },
            { "nv!ogl_yield", string.Empty },
            { "nv!ogl_yieldfunction", string.Empty },
            { "nv!ogl_yieldfunctionfast", string.Empty },
            { "nv!ogl_yieldfunctionslow", string.Empty },
            { "nv!ogl_yieldfunctionwaitfordcqueue", string.Empty },
            { "nv!ogl_yieldfunctionwaitforframe", string.Empty },
            { "nv!ogl_yieldfunctionwaitforgpu", string.Empty },
            { "nv!ogl_zbctableaddhysteresis", string.Empty },
            { "nv!overlaymergeblittimerms", string.Empty },
            { "nv!perfmon_mode", string.Empty },
            { "nv!persist.sys.display.resolution", string.Empty },
            { "nv!persist.tegra.composite.fallb", string.Empty },
            { "nv!persist.tegra.composite.policy", string.Empty },
            { "nv!persist.tegra.composite.range", string.Empty },
            { "nv!persist.tegra.compositor", string.Empty },
            { "nv!persist.tegra.compositor.virt", string.Empty },
            { "nv!persist.tegra.compression", string.Empty },
            { "nv!persist.tegra.cursor.enable", string.Empty },
            { "nv!persist.tegra.didim.enable", string.Empty },
            { "nv!persist.tegra.didim.normal", string.Empty },
            { "nv!persist.tegra.didim.video", string.Empty },
            { "nv!persist.tegra.disp.heads", string.Empty },
            { "nv!persist.tegra.gamma_correction", string.Empty },
            { "nv!persist.tegra.gpu_mapping_cache", string.Empty },
            { "nv!persist.tegra.grlayout", string.Empty },
            { "nv!persist.tegra.hdmi.2020.10", string.Empty },
            { "nv!persist.tegra.hdmi.2020.fake", string.Empty },
            { "nv!persist.tegra.hdmi.2020.force", string.Empty },
            { "nv!persist.tegra.hdmi.autorotate", string.Empty },
            { "nv!persist.tegra.hdmi.hdr.fake", string.Empty },
            { "nv!persist.tegra.hdmi.ignore_ratio", string.Empty },
            { "nv!persist.tegra.hdmi.limit.clock", string.Empty },
            { "nv!persist.tegra.hdmi.only_16_9", string.Empty },
            { "nv!persist.tegra.hdmi.range", string.Empty },
            { "nv!persist.tegra.hdmi.resolution", string.Empty },
            { "nv!persist.tegra.hdmi.underscan", string.Empty },
            { "nv!persist.tegra.hdmi.yuv.422", string.Empty },
            { "nv!persist.tegra.hdmi.yuv.444", string.Empty },
            { "nv!persist.tegra.hdmi.yuv.enable", string.Empty },
            { "nv!persist.tegra.hdmi.yuv.force", string.Empty },
            { "nv!persist.tegra.hwc.nvdc", string.Empty },
            { "nv!persist.tegra.idle.minimum_fps", string.Empty },
            { "nv!persist.tegra.panel.rotation", string.Empty },
            { "nv!persist.tegra.scan_props", string.Empty },
            { "nv!persist.tegra.stb.mode", string.Empty },
            { "nv!persist.tegra.zbc_override", string.Empty },
            { "nv!pixbar_mode", string.Empty },
            { "nv!qualityenhancements", string.Empty },
            { "nv!r27s18q28", string.Empty },
            { "nv!r2d7c1d8", string.Empty },
            { "nv!renderer", string.Empty },
            { "nv!renderqualityflags", string.Empty },
            { "nv!rmos_debug_mask", string.Empty },
            { "nv!rmos_set_production_mode", string.Empty },
            { "nv!s3tcquality", string.Empty },
            { "nv!shaderatomics", string.Empty },
            { "nv!shadercacheinitsize", string.Empty },
            { "nv!shader_disk_cache_path", string.Empty },
            { "nv!shader_disk_cache_read_only", string.Empty },
            { "nv!shaderobjects", string.Empty },
            { "nv!shaderportabilitywarnings", string.Empty },
            { "nv!shaderwarningsaserrors", string.Empty },
            { "nv!skiptexturehostcopies", string.Empty },
            { "nv!sli_dli_control", string.Empty },
            { "nv!sparsetexture", string.Empty },
            { "nv!spinlooptimeout", string.Empty },
            { "nv!sync_to_vblank", string.Empty },
            { "nv!sysheapreuseratio", string.Empty },
            { "nv!sysmemtexturepromotion", string.Empty },
            { "nv!targetflushcount", string.Empty },
            { "nv!tearingfreeswappresent", string.Empty },
            { "nv!tegra.refresh", string.Empty },
            { "nv!texclampbehavior", string.Empty },
            { "nv!texlodbias", string.Empty },
            { "nv!texmemoryspaceenables", string.Empty },
            { "nv!textureprecache", string.Empty },
            { "nv!threadcontrol", string.Empty },
            { "nv!threadcontrol2", string.Empty },
            { "nv!tvmr.avp.logs", string.Empty },
            { "nv!tvmr.buffer.logs", string.Empty },
            { "nv!tvmr.dec.prof", string.Empty },
            { "nv!tvmr.deint.logs", string.Empty },
            { "nv!tvmr.dfs.logs", string.Empty },
            { "nv!tvmr.ffprof.logs", string.Empty },
            { "nv!tvmr.game.stream", string.Empty },
            { "nv!tvmr.general.logs", string.Empty },
            { "nv!tvmr.input.dump", string.Empty },
            { "nv!tvmr.seeking.logs", string.Empty },
            { "nv!tvmr.ts_pulldown", string.Empty },
            { "nv!usegvievents", string.Empty },
            { "nv!vbomemoryspaceenables", string.Empty },
            { "nv!vcc_debug_ip", string.Empty },
            { "nv!vcc_verbose_level", string.Empty },
            { "nv!vertexlimit", string.Empty },
            { "nv!viccomposer.filter", string.Empty },
            { "nv!videostats-enable", string.Empty },
            { "nv!vidheapreuseratio", string.Empty },
            { "nv!vpipe", string.Empty },
            { "nv!vpipeformatbloatlimit", string.Empty },
            { "nv!wglmessageboxonabort", string.Empty },
            { "nv!writeinfolog", string.Empty },
            { "nv!writeprogramobjectassembly", string.Empty },
            { "nv!writeprogramobjectsource", string.Empty },
            { "nv!xnvadapterpresent", string.Empty },
            { "nv!yield", string.Empty },
            { "nv!yieldfunction", string.Empty },
            { "nv!yieldfunctionfast", string.Empty },
            { "nv!yieldfunctionslow", string.Empty },
            { "nv!yieldfunctionwaitfordcqueue", string.Empty },
            { "nv!yieldfunctionwaitforframe", string.Empty },
            { "nv!yieldfunctionwaitforgpu", string.Empty },
            { "nv!zbctableaddhysteresis", string.Empty },
            { "pcm!enable", true },
            { "pctl!intermittent_task_interval_seconds", 21600 },
            { "prepo!devmenu_prepo_page_view", false },
            { "prepo!background_processing", true },
            { "prepo!transmission_interval_min", 10 },
            { "prepo!transmission_retry_interval", 3600 },
            { "psm!evaluation_log_enabled", false },
            { "snap_shot_dump!auto_dump", false },
            { "snap_shot_dump!output_dir", "%USERPROFILE%/Documents/Nintendo/NXDMP" },
            { "snap_shot_dump!full_dump", false },
            { "systemconfig!field_testing", false },
            { "systemconfig!exhivision", false },
            { "systempowerstate!always_reboot", false },
            { "systempowerstate!power_state_message_emulation_trigger_time", 0 },
            { "systempowerstate!power_state_message_to_emulate", 0 },
            { "target_manager!device_name", string.Empty },
            { "vulnerability!needs_update_vulnerability_policy", 0 },
            { "apm!performance_mode_policy", "auto" },
            { "apm!sdev_throttling_enabled", true },
            { "apm!sdev_throttling_additional_delay_us", 16000 },
            { "apm!battery_draining_enabled", false },
            { "apm!sdev_cpu_overclock_enabled", false },
            { "bcat!production_mode", true },
            { "bpc!enable_quasi_off", true },
            { "bsp0!usb", "UDS" },
            { "bsp0!tm_transport", "USB" },
            { "bluetooth_debug!skip_boot", false },
            { "contents_delivery!enable_debug_api", false },
            { "eupld!upload_enabled", true },
            { "fatal!transition_to_fatal", true },
            { "fatal!show_extra_info", false },
            { "gpu_core_dump!auto_dump", false },
            { "hid_debug!enables_debugpad", false },
            { "hid_debug!manages_devices", true },
            { "hid_debug!emulate_future_device", false },
            { "hid_debug!emulate_firmware_update_failure", false },
            { "hid_debug!emulate_mcu_hardware_error", false },
            { "hid_debug!firmware_update_failure_emulation_mode", 0 },
            { "jit_debug!enable_jit_debug", false },
            { "npns!background_processing", true },
            { "npns!logmanager_redirection", true },
            { "npns!sleep_processing_timeout", 30 },
            { "npns!sleep_periodic_interval", 10800 },
            { "npns!sleep_max_try_count", 5 },
            { "npns!test_mode", false },
            { "ns.applet!overlay_applet_id", "0x010000000000100c" },
            { "ns.applet!system_applet_id", "0x0100000000001000" },
            { "ns.applet!shop_applet_id", "0x010000000000100b" },
            { "ns.autoboot!enabled", true },
            { "ns.pseudodeviceid!reset_pseudo_device_id", false },
            { "nsd!environment_identifier", "lp1" },
            { "nsd!test_mode", false },
            { "ntc!is_autonomic_correction_enabled", true },
            { "ntc!autonomic_correction_interval_seconds", 432000 },
            { "ntc!autonomic_correction_failed_retry_interval_seconds", 1800 },
            { "ntc!autonomic_correction_immediate_try_count_max", 4 },
            { "ntc!autonomic_correction_immediate_try_interval_milliseconds", 5000 },
            { "nv!nv_graphics_firmware_memory_margin", false },
            { "omm!operation_mode_policy", "auto" },
            { "omm!sleep_fade_in_ms", 50 },
            { "omm!sleep_fade_out_ms", 100 },
            { "omm!charging_sign_ms", 3000 },
            { "omm!low_battery_sign_ms", 3000 },
            { "omm!sign_fade_in_ms", 0 },
            { "omm!sign_fade_out_ms", 400 },
            { "omm!sign_wait_layer_visible_ms", 100 },
            { "omm!startup_fade_in_ms", 200 },
            { "omm!startup_fade_out_ms", 400 },
            { "omm!backlight_off_ms_on_handheld_switch", 150 },
            { "omm!sleep_on_ac_ok_boot", true },
            { "pdm!save_playlog", true },
            { "productinfo!product_name", "Nintendo Switch" },
            { "productinfo!cec_osd_name", "NintendoSwitch" },
            { "ro!ease_nro_restriction", false },
            { "settings_debug!is_debug_mode_enabled", false },
            { "systemreport!enabled", true },
            { "systemsleep!enter_sleep", true },
            { "systemsleep!enter_sc7", true },
            { "systemsleep!keep_vdd_core", true },
            { "systemsleep!disable_tma_sleep", false },
            { "systemsleep!disable_auto_sleep", false },
            { "systemsleep!override_auto_sleep_time", 0 },
            { "systemsleep!sleep_pending_time_ms", 15000 },
            { "systemsleep!hush_time_after_brief_power_button_press_ms", 1000 },
            { "systemsleep!transition_timeout_sec", 60 },
            { "systemsleep!dummy_event_auto_wake", false },
            { "systemupdate!debug_id", "0x0000000000000000" },
            { "systemupdate!debug_version", 0 },
            { "systemupdate!bgnup_retry_seconds", 60 },
            { "systemupdate!enable_background_download_stress_testing", false },
            { "systemupdate!debug_id_for_content_delivery", "0x0000000000000000" },
            { "systemupdate!debug_version_for_content_delivery", 0 },
            { "systemupdate!assumed_system_applet_version", 0 },
            { "tc!iir_filter_gain_soc", 100 },
            { "tc!iir_filter_gain_pcb", 100 },
            { "tc!tskin_soc_coefficients_handheld", "[5464, 174190]" },
            { "tc!tskin_soc_coefficients_console", "[6182, 112480]" },
            { "tc!tskin_pcb_coefficients_handheld", "[5464, 174190]" },
            { "tc!tskin_pcb_coefficients_console", "[6182, 112480]" },
            { "tc!tskin_select", "both" },
            { "tc!tskin_rate_table_handheld", "[[-1000000, 40000, 0, 0], [36000, 43000, 51, 51], [43000, 48000, 51, 102], [48000, 53000, 102, 153], [53000, 1000000, 153, 153], [48000, 1000000, 153, 153]]" },
            { "tc!tskin_rate_table_console", "[[-1000000, 43000, 51, 51], [43000, 53000, 51, 153], [53000, 58000, 153, 255], [58000, 1000000, 255, 255]]" },
            { "tc!rate_select", "both" },
            { "tc!log_enabled", false },
            { "tc!sleep_enabled", true },
            { "time!standard_steady_clock_test_offset_minutes", 0 },
            { "time!standard_steady_clock_rtc_update_interval_minutes", 5 },
            { "time!standard_network_clock_sufficient_accuracy_minutes", 43200 },
            { "time!standard_user_clock_initial_year", 2019 },
            { "usb!usb30_force_enabled", false },
            { "wlan_debug!skip_wlan_boot", false },
        };
    }
}
